/*
** SellaNMS
** $Id: script.h,v 1.10 2005/05/15 05:21:17 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_MODULE_OUTPUT_SCRIPT_H
#define __DGS_MODULE_OUTPUT_SCRIPT_H

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "defaults.h"
#include "../output.h"
#include "util.h"
#include <stdio.h>
#include <stdlib.h>
#include <stl/string>

#define MODULE_OUTPUT_SCRIPT_QUEUEDEPTH_DEFAULT MODULE_OUTPUT_QUEUEDEPTH_DEFAULT

class Script: public Output {
	public:
		Script();

	protected:
		virtual RESULT processPolicyOutput(variable_binding_t &policy_output);

	private:
		virtual RESULT execute();
		virtual RESULT readConfig();
		virtual RESULT printConfig();

		string command;
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600:
** vim: noet ts=3 sw=3
*/
